%define upstream_name    File-Path
%define upstream_version 2.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    File path and name utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(SelectSaver)
BuildArch:  noarch

%description
This module provide a convenient way to create directories of arbitrary
depth and to delete an entire directory subtree from the filesystem.

The following functions are provided:

* make_path( $dir1, $dir2, .... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.120.0-3.mga6
+ Revision: 1027420
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.120.0-2.mga6
+ Revision: 971318
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 2.120.0-1.mga6
+ Revision: 891351
- update to 2.12

* Sun Jul 19 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 855338
- update to 2.11

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-4.mga5
+ Revision: 749379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-3.mga5
+ Revision: 684747
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.90.0-2.mga4
+ Revision: 537150
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.90.0-1.mga4
+ Revision: 486416
- update to 2.09

* Wed Mar 27 2013 jquelin <jquelin> 2.80.0-3.mga3
+ Revision: 405487
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 367287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.80.0-1.mga1
+ Revision: 26188
- mageia rebuild
- imported package perl-File-Path

